# Generated by Django 2.2.2 on 2019-08-01 17:44

from django.db import migrations
from edc_constants.constants import OTHER
from edc_list_data.preload_data import PreloadData


def fix_renal_impairment(apps, schema_editor):

    AeInitial = apps.get_model("ambition_ae.AeInitial")
    AeInitial.objects.filter(ae_classification="thrombophlebitis").update(
        ae_classification="renal_impairment"
    )


def update_ae_classification(apps, schema_editor):

    list_data = {
        "edc_adverse_event.aeclassification": [
            ("anaemia", "Anaemia"),
            ("bacteraemia/sepsis", "Bacteraemia/Sepsis"),
            ("CM_IRIS", "CM IRIS"),
            ("diarrhoea", "Diarrhoea"),
            ("hypokalaemia", "Hypokalaemia"),
            ("neutropaenia", "Neutropaenia"),
            ("pneumonia", "Pneumonia"),
            ("renal_impairment", "Renal impairment"),
            ("respiratory_distress", "Respiratory distress"),
            ("TB", "TB"),
            ("thrombocytopenia", "Thrombocytopenia"),
            ("thrombophlebitis", "Thrombophlebitis"),
            (OTHER, "Other"),
        ]
    }

    PreloadData(list_data=list_data, apps=apps)

    AeClassification = apps.get_model("edc_adverse_event.AeClassification")
    AeInitial = apps.get_model("ambition_ae.AeInitial")
    for obj in AeInitial.objects.all():
        ae_classification = AeClassification.objects.get(
            short_name=obj.ae_classification
        )
        obj.ae_classification_new = ae_classification
        obj.save()


class Migration(migrations.Migration):

    dependencies = [("ambition_ae", "0029_auto_20190801_2328")]

    operations = [
        migrations.RunPython(fix_renal_impairment, hints={"target_db": "default"}),
        migrations.RunPython(update_ae_classification, hints={"target_db": "default"}),
    ]
